# Disallow numpy to use multithreading - it breaks parallel code generation
# on machines with large core count.
import os
os.environ["OMP_NUM_THREADS"] = "1"

# Trigger imports that involve monkey patching!
import dune.perftool.loopy.symbolic

# Trigger some imports that are needed to have all backend implementations visible
# to the selection mechanisms
import dune.perftool.pdelab
import dune.perftool.sumfact
import dune.perftool.blockstructured
